# Estimate company salaries

Returns pay estimates for required `job_title` at required `company`. Narrow with optional `location`, `location_scope` and `experience`.

- Platform: Jobs V2
- Request: `GET https://api.toolzerhub.com/v2/jobs/salary/company`
- Auth: `x-api-key` header
- Cost: 4 credits per successful request. Failed requests are not billed.
- Page: https://docs.toolzerhub.com/reference/jobs-v2/get-company-salary-estimate

| Parameter | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `company` | query | yes | string | Employer to scope the estimate to. |
| `job_title` | query | yes | string | Job title to estimate pay for. |
| `location` | query | no | string | Optional place to narrow the estimate to. |
| `location_scope` | query | no | enum: any, city, state, country | How precisely location should be interpreted. Default: any. |
| `experience` | query | no | enum: all, under_1_year, 1_to_3_years, 4_to_6_years, 7_to_9_years, 10_to_14_years, over_15_years | Experience band the salary estimate should be scoped to. Default: all. |

## Example request

```bash
curl "https://api.toolzerhub.com/v2/jobs/salary/company?company=<company>&job_title=<job_title>" \
  -H "x-api-key: $TOOLZERHUB_API_KEY"
```

Success responses are wrapped as `{ "data": ... }`. Errors return `{ "error": { "code", "status", "message", "retryable", "details" } }`. See https://docs.toolzerhub.com/docs/responses-and-errors.
